Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

php5 mit NIS Unterstützung für Ubuntu gesucht

Alles rund um die Server (Web-, Mail-, Datenbank-, Datenaustausch-, etc.) die man unter Linux betreiben kann

Moderator: Moderatoren

Antworten
rolle
Guru
Guru
Beiträge: 3724
Registriert: 4. Mai 2004, 21:50
Kontaktdaten:

php5 mit NIS Unterstützung für Ubuntu gesucht

Beitrag von rolle » 17. Sep 2009, 22:12

Liebe Leute!

Ich mag hier aug einem Ubuntu 9.04 eGroupware laufen lassen. Dieses benötigt die PHP-Erweiterung 'yp' um sich gegen das NIS zu binden. Ubuntu bietet das Ding aber nicht einmal im Quellpaket an, so daß ein Eigenbau des Moduls daraus auch flachfällt. Bin ich nur zu doof, da etwas zu finden oder bin ich da wirklich gekniffen? Oder hat gar jemand erfolgreich eGroupware in Verbindung mit NIS (zur Not auch PAM) auf der Ubuntu 9.04 laufen und kann mir den Trick verraten?
Auszug aus der Apache error.log:

Code: Alles auswählen

[Thu Sep 17 20:45:29 2009] [error] [client XXXX] PHP Fatal error:  Call to undefined function yp_get_default_domain() in /usr/share/egroupware/phpgwapi/inc/class.auth_nis.inc.php on line 30, referer: http://XXXX.de/egroupware/login.php
[Thu Sep 17 21:34:05 2009] [error] [client XXXX] PHP Fatal error:  Call to undefined function pam_auth() in /usr/share/egroupware/phpgwapi/inc/class.auth_pam.inc.php on line 27, referer: http://XXXX.de/egroupware/login.php
Hm, gerade habe ich gesehen, daß das Paket nicht mehr weiterentwickelt wird: http://de.php.net/nis Sollte ich damit mein Projekt komplett aufgeben?
Horrido, Roland

Für meine Postings gilt außer bei Zitaten hier im Linux-Club die Creative Commons.

Werbung:
Benutzeravatar
panamajo
Guru
Guru
Beiträge: 2587
Registriert: 12. Feb 2005, 22:45

Re: php5 mit NIS Unterstützung für Ubuntu gesucht

Beitrag von panamajo » 17. Sep 2009, 23:06

Wo steht dass die Extension von PHP nicht mehr weiterentwickelt wird?

ANsonsten kann ich nicht wirklich weiterhlfen weil kein Ubuntu...

rolle
Guru
Guru
Beiträge: 3724
Registriert: 4. Mai 2004, 21:50
Kontaktdaten:

Re: php5 mit NIS Unterstützung für Ubuntu gesucht

Beitrag von rolle » 17. Sep 2009, 23:14

Sorry, Link vergessen: http://pecl.php.net/package/yp
Horrido, Roland

Für meine Postings gilt außer bei Zitaten hier im Linux-Club die Creative Commons.

Benutzeravatar
Geier0815
Administrator
Administrator
Beiträge: 4281
Registriert: 14. Jun 2004, 09:12

Re: php5 mit NIS Unterstützung für Ubuntu gesucht

Beitrag von Geier0815 » 18. Sep 2009, 18:57

Wenn Windows die Lösung ist...
kann ich dann bitte das Problem zurück haben?

rolle
Guru
Guru
Beiträge: 3724
Registriert: 4. Mai 2004, 21:50
Kontaktdaten:

Re: php5 mit NIS Unterstützung für Ubuntu gesucht

Beitrag von rolle » 19. Sep 2009, 19:00

Mit pam_auth bekomme ich das ja inzwischen auch hin. Aber das klappt eben auch nur, solange der Webserver auch auf dem NIS-Server läuft.
Horrido, Roland

Für meine Postings gilt außer bei Zitaten hier im Linux-Club die Creative Commons.

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast